Loading...
Searching...
No Matches
Catch::TestSpec::TagPattern Class Reference
Inheritance diagram for Catch::TestSpec::TagPattern:
[legend]
Collaboration diagram for Catch::TestSpec::TagPattern:
[legend]

## Public Member Functions

| TagPattern (std::string const &tag, std::string const &filterString)
bool | matches (TestCaseInfo const &testCase) const override
Public Member Functions inherited from Catch::TestSpec::Pattern
| Pattern (std::string const &name)
virtual | ~Pattern ()
std::string const & | name () const

## Private Member Functions

void | serializeTo (std::ostream &out) const override

## Private Attributes

std::string | m_tag

## Constructor & Destructor Documentation

## TagPattern()

Catch::TestSpec::TagPattern::TagPattern | ( | std::string const & | tag,
|  | std::string const & | filterString )

explicit

Here is the call graph for this function:

## Member Function Documentation

## matches()

bool Catch::TestSpec::TagPattern::matches | ( | TestCaseInfo const & | testCase | ) | const

overridevirtual

Implements Catch::TestSpec::Pattern.

## serializeTo()

void Catch::TestSpec::TagPattern::serializeTo | ( | std::ostream & | out | ) | const

overrideprivatevirtual

Implements Catch::TestSpec::Pattern.

Here is the call graph for this function:

## Member Data Documentation

## m_tag

std::string Catch::TestSpec::TagPattern::m_tag

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp